Reporting

Get an XML report of deployments

GET /api/{spaceId}/reporting/deployments/xml

Also reachable at /api/reporting/deployments/xml, /api/spaces/{spaceIdentifier}/reporting/deployments/xml.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Query Parameters

  • environmentId string
    An Environment ID, to limit the set of Deployments to deployed to a particular Environment. Example: Environments-1.
  • fromCompletedTime string
    A date/time, to limit the set of Deployments to those which completed after a given moment. Example: 2000-01-01T01<23>. Format date-time.
  • fromStartTime string
    A date/time, to limit the set of Deployments to those which started after a given moment. Example: 2000-01-01T01<23>. Format date-time.
  • projectId string
    A Project ID, to limit the set of Deployments to those from a particular Project. Example: Projects-1.
  • toCompletedTime string
    A date/time, to limit the set of Deployments to those which completed before a given moment. Example: 2000-01-01T01<23>. Format date-time.
  • toStartTime string
    A date/time, to limit the set of Deployments to those which started before a given moment. Example: 2000-01-01T01<23>. Format date-time.

Response

200 — Success

Example Response

JSON
"string"